org.keycloak.representations

## Class IDToken

- java.lang.Object
- - org.keycloak.representations.JsonWebToken
  - - org.keycloak.representations.IDToken

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AccessToken

      public class IDToken
      extends JsonWebToken

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `address`
    `protected String` | `birthdate`
    `protected String` | `claimsLocales`
    `protected String` | `country`
    `protected String` | `email`
    `protected Boolean` | `emailVerified`
    `protected String` | `familyName`
    `protected String` | `formattedAddress`
    `protected String` | `gender`
    `protected String` | `givenName`
    `protected String` | `locale`
    `protected String` | `locality`
    `protected String` | `middleName`
    `protected String` | `name`
    `protected String` | `nickName`
    `protected String` | `nonce`
    `protected String` | `phoneNumber`
    `protected Boolean` | `phoneNumberVerified`
    `protected String` | `picture`
    `protected String` | `postalCode`
    `protected String` | `preferredUsername`
    `protected String` | `profile`
    `protected String` | `region`
    `protected String` | `sessionState`
    `protected String` | `streetAddress`
    `protected Long` | `updatedAt`
    `protected String` | `website`
    `protected String` | `zoneinfo`

    - ### Fields inherited from class org.keycloak.representations.JsonWebToken

      `audience, expiration, id, issuedAt, issuedFor, issuer, notBefore, subject, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDToken()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()`
    `String` | `getBirthdate()`
    `String` | `getClaimsLocales()`
    `String` | `getCountry()`
    `String` | `getEmail()`
    `Boolean` | `getEmailVerified()`
    `String` | `getFamilyName()`
    `String` | `getFormattedAddress()`
    `String` | `getGender()`
    `String` | `getGivenName()`
    `String` | `getLocale()`
    `String` | `getLocality()`
    `String` | `getMiddleName()`
    `String` | `getName()`
    `String` | `getNickName()`
    `String` | `getNonce()`
    `String` | `getPhoneNumber()`
    `Boolean` | `getPhoneNumberVerified()`
    `String` | `getPicture()`
    `String` | `getPostalCode()`
    `String` | `getPreferredUsername()`
    `String` | `getProfile()`
    `String` | `getRegion()`
    `String` | `getSessionState()`
    `String` | `getStreetAddress()`
    `Long` | `getUpdatedAt()`
    `String` | `getWebsite()`
    `String` | `getZoneinfo()`
    `void` | `setAddress(String address)`
    `void` | `setBirthdate(String birthdate)`
    `void` | `setClaimsLocales(String claimsLocales)`
    `void` | `setCountry(String country)`
    `void` | `setEmail(String email)`
    `void` | `setEmailVerified(Boolean emailVerified)`
    `void` | `setFamilyName(String familyName)`
    `void` | `setFormattedAddress(String formattedAddress)`
    `void` | `setGender(String gender)`
    `void` | `setGivenName(String givenName)`
    `void` | `setLocale(String locale)`
    `void` | `setLocality(String locality)`
    `void` | `setMiddleName(String middleName)`
    `void` | `setName(String name)`
    `void` | `setNickName(String nickName)`
    `void` | `setNonce(String nonce)`
    `void` | `setPhoneNumber(String phoneNumber)`
    `void` | `setPhoneNumberVerified(Boolean phoneNumberVerified)`
    `void` | `setPicture(String picture)`
    `void` | `setPostalCode(String postalCode)`
    `void` | `setPreferredUsername(String preferredUsername)`
    `void` | `setProfile(String profile)`
    `void` | `setRegion(String region)`
    `void` | `setSessionState(String sessionState)`
    `void` | `setStreetAddress(String streetAddress)`
    `void` | `setUpdatedAt(Long updatedAt)`
    `void` | `setWebsite(String website)`
    `void` | `setZoneinfo(String zoneinfo)`

    - ### Methods inherited from class org.keycloak.representations.JsonWebToken

      `audience, expiration, getAudience, getExpiration, getId, getIssuedAt, getIssuedFor, getIssuer, getNotBefore, getSubject, getType, id, isActive, isExpired, isNotBefore, issuedAt, issuedFor, issuedNow, issuer, notBefore, subject, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nonce

          protected String nonce

    - #### name

          protected String name

    - #### givenName

          protected String givenName

    - #### familyName

          protected String familyName

    - #### middleName

          protected String middleName

    - #### nickName

          protected String nickName

    - #### preferredUsername

          protected String preferredUsername

    - #### profile

          protected String profile

    - #### picture

          protected String picture

    - #### website

          protected String website

    - #### email

          protected String email

    - #### emailVerified

          protected Boolean emailVerified

    - #### gender

          protected String gender

    - #### birthdate

          protected String birthdate

    - #### zoneinfo

          protected String zoneinfo

    - #### locale

          protected String locale

    - #### phoneNumber

          protected String phoneNumber

    - #### phoneNumberVerified

          protected Boolean phoneNumberVerified

    - #### address

          protected String address

    - #### updatedAt

          protected Long updatedAt

    - #### formattedAddress

          protected String formattedAddress

    - #### streetAddress

          protected String streetAddress

    - #### locality

          protected String locality

    - #### region

          protected String region

    - #### postalCode

          protected String postalCode

    - #### country

          protected String country

    - #### claimsLocales

          protected String claimsLocales

    - #### sessionState

          protected String sessionState

  - ### Constructor Detail

    - #### IDToken

          public IDToken()

  - ### Method Detail

    - #### getNonce

          public String getNonce()

    - #### setNonce

          public void setNonce(String nonce)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getGivenName

          public String getGivenName()

    - #### setGivenName

          public void setGivenName(String givenName)

    - #### getFamilyName

          public String getFamilyName()

    - #### setFamilyName

          public void setFamilyName(String familyName)

    - #### getMiddleName

          public String getMiddleName()

    - #### setMiddleName

          public void setMiddleName(String middleName)

    - #### getNickName

          public String getNickName()

    - #### setNickName

          public void setNickName(String nickName)

    - #### getPreferredUsername

          public String getPreferredUsername()

    - #### setPreferredUsername

          public void setPreferredUsername(String preferredUsername)

    - #### getProfile

          public String getProfile()

    - #### setProfile

          public void setProfile(String profile)

    - #### getPicture

          public String getPicture()

    - #### setPicture

          public void setPicture(String picture)

    - #### getWebsite

          public String getWebsite()

    - #### setWebsite

          public void setWebsite(String website)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### getEmailVerified

          public Boolean getEmailVerified()

    - #### setEmailVerified

          public void setEmailVerified(Boolean emailVerified)

    - #### getGender

          public String getGender()

    - #### setGender

          public void setGender(String gender)

    - #### getBirthdate

          public String getBirthdate()

    - #### setBirthdate

          public void setBirthdate(String birthdate)

    - #### getZoneinfo

          public String getZoneinfo()

    - #### setZoneinfo

          public void setZoneinfo(String zoneinfo)

    - #### getLocale

          public String getLocale()

    - #### setLocale

          public void setLocale(String locale)

    - #### getPhoneNumber

          public String getPhoneNumber()

    - #### setPhoneNumber

          public void setPhoneNumber(String phoneNumber)

    - #### getPhoneNumberVerified

          public Boolean getPhoneNumberVerified()

    - #### setPhoneNumberVerified

          public void setPhoneNumberVerified(Boolean phoneNumberVerified)

    - #### getAddress

          public String getAddress()

    - #### setAddress

          public void setAddress(String address)

    - #### getUpdatedAt

          public Long getUpdatedAt()

    - #### setUpdatedAt

          public void setUpdatedAt(Long updatedAt)

    - #### getFormattedAddress

          public String getFormattedAddress()

    - #### setFormattedAddress

          public void setFormattedAddress(String formattedAddress)

    - #### getStreetAddress

          public String getStreetAddress()

    - #### setStreetAddress

          public void setStreetAddress(String streetAddress)

    - #### getLocality

          public String getLocality()

    - #### setLocality

          public void setLocality(String locality)

    - #### getRegion

          public String getRegion()

    - #### setRegion

          public void setRegion(String region)

    - #### getPostalCode

          public String getPostalCode()

    - #### setPostalCode

          public void setPostalCode(String postalCode)

    - #### getCountry

          public String getCountry()

    - #### setCountry

          public void setCountry(String country)

    - #### getClaimsLocales

          public String getClaimsLocales()

    - #### setClaimsLocales

          public void setClaimsLocales(String claimsLocales)

    - #### getSessionState

          public String getSessionState()

    - #### setSessionState

          public void setSessionState(String sessionState)

Copyright © 2015. All Rights Reserved.